#include <math.h>
#include <stdio.h>

int main() {
  int a, b, x, y;
  scanf("%d%d%d%d", &a, &b, &x, &y);
  if (a == x && b == y) {
    printf("nijedan\n");
    return 0;
  }
  if (b == y) {
    printf("prvi\n");
    return 0;
  }
  if (a == x) {
    printf("drugi\n");
    return 0;
  }
  printf("?\n");
  return 0;
}